import gevent.monkey
gevent.monkey.patch_all()
import random
import requests
import time
from xml.etree import ElementTree

from locust import HttpUser, task, between

cache_list = [
    'cache/ows?STYLES=&CRS=EPSG%3A4326&service=WMS&format=image%2Fpng&request=GetMap&layers=Emergency__TRUE_COLOR&height=75&width=100&version=1.3.0&BBOX=43.939208,12.444516,43.946786,12.464182&TRANSPARENT=true&time=2019-05-16T05:07:51Z',
    'cache/ows?STYLES=&CRS=EPSG%3A4326&service=WMS&format=image%2Fpng&request=GetMap&layers=Emergency__TRUE_COLOR&height=75&width=100&version=1.3.0&BBOX=44.396934,12.261686,44.427007,12.340350&TRANSPARENT=true&time=2019-05-16T05:07:51Z',
    'cache/ows?STYLES=&CRS=EPSG%3A4326&service=WMS&format=image%2Fpng&request=GetMap&layers=Emergency__TRUE_COLOR&height=75&width=100&version=1.3.0&BBOX=43.844904,18.296807,43.852494,18.316473&TRANSPARENT=true&time=2019-03-15T09:48:44Z',
    'cache/ows?STYLES=&CRS=EPSG%3A4326&service=WMS&format=image%2Fpng&request=GetMap&layers=Emergency__TRUE_COLOR&height=75&width=100&version=1.3.0&BBOX=43.813031,18.348606,43.820626,18.368272&TRANSPARENT=true&time=2019-03-15T09:48:44Z',
    'cache/ows?STYLES=&CRS=EPSG%3A4326&service=WMS&format=image%2Fpng&request=GetMap&layers=Emergency__TRUE_COLOR&height=75&width=100&version=1.3.0&BBOX=44.462701,18.439779,44.522764,18.597107&TRANSPARENT=true&time=2019-05-15T16:25:53Z'
]



class QuickstartUser(HttpUser):


    wait_time = between(0, 0)

    @task(3)
    def view_item(self):
       item_id = random.randint(0, len(cache_list)-1)
       item = cache_list[item_id]
       # replace the strings 'username' and 'Password' with the pdas/vs credintials 

       self.client.get(f"{item}", auth=( 'username', 'Password'))
    
