import gevent.monkey
gevent.monkey.patch_all()
import random
import requests
import time
from xml.etree import ElementTree

from locust import HttpUser, task, between

wmts_list = [
    'cache/ows/wmts?layer=VHR_IMAGE_2018_Level_3__TRUE_COLOR&style=default&tilematrixset=WGS84&Service=WMTS&Request=GetTile&Version=1.0.0&Format=image%2Fpng&TileMatrix=16&TileCol=68526&TileRow=16643&time=2018-08-01T00%3A00%3A00Z%2F2018-08-31T23%3A59%3A59Z',
    'cache/ows/wmts?layer=VHR_IMAGE_2018_Level_3__TRUE_COLOR&style=default&tilematrixset=WGS84&Service=WMTS&Request=GetTile&Version=1.0.0&Format=image%2Fpng&TileMatrix=12&TileCol=4282&TileRow=1038&time=2018-08-01T00%3A00%3A00Z%2F2018-08-31T23%3A59%3A59Z',
    'cache/ows/wmts?layer=VHR_IMAGE_2018_Level_3__TRUE_COLOR&style=default&tilematrixset=WGS84&Service=WMTS&Request=GetTile&Version=1.0.0&Format=image%2Fpng&TileMatrix=13&TileCol=8903&TileRow=1716&time=2018-08-01T00%3A00%3A00Z%2F2018-08-31T23%3A59%3A59Z',
    'cache/ows/wmts?layer=VHR_IMAGE_2018_Level_3__TRUE_COLOR&style=default&tilematrixset=WGS84&Service=WMTS&Request=GetTile&Version=1.0.0&Format=image%2Fpng&TileMatrix=16&TileCol=71245&TileRow=13728&time=2018-08-01T00%3A00%3A00Z%2F2018-08-31T23%3A59%3A59Z',
    'cache/ows/wmts?layer=VHR_IMAGE_2018_Level_3__TRUE_COLOR&style=default&tilematrixset=WGS84&Service=WMTS&Request=GetTile&Version=1.0.0&Format=image%2Fpng&TileMatrix=16&TileCol=71247&TileRow=13728&time=2018-08-01T00%3A00%3A00Z%2F2018-08-31T23%3A59%3A59Z'

]



class QuickstartUser(HttpUser):


    wait_time = between(0, 0)

    @task(3)
    def view_item(self):
       item_id = random.randint(0, len(wmts_list)-1)
       item = wmts_list[item_id]
       # replace the strings 'username' and 'Password' with the pdas/vs credintials 

       self.client.get(f"{item}", auth=( 'username', 'Password'))
    
